/// @description Insert description here
// You can write your code in this editor

/*
// sample: auto kill self
var tween = instance_create_depth(0, 0, 0, obj_Tween);
tween.tween(self, ["x:100", "y:100"], [800, 400], 0, 60, expoOut, function(target) {
	// auto destroy
	instance_destroy();
});
*/

/*
// sample move self
var tween = instance_create_depth(0, 0, 0, obj_Tween);

// 自身をTweenにアタッチしてTweenアニメーションを実行する
tween.tween(
  self       // 自身のインスタンス
  ,["x:100"] // 開始X座標
  ,[800]     // 終端X座標
  ,0         // 開始遅延フレーム
  ,60        // 移動フレーム数
  ,expoOut   // イージング関数の種類
  ,noone     // 移動完了後に実行されるコールバック関数
);
*/


visible = false;

for(var i = 0; i < 4; i++) {
  var py = i * sprite_height; // スプライトの高さの間隔で配置
  var delay = i * 8; // それぞれを8F遅延する
  var _inst = instance_create_depth(0, py, 0, obj_Test);
  // Tween実行
  tween_start(_inst, ["x:-600", "image_alpha:0"], [580, 1], delay, 60, expoOut, function(target) {
    tween_start(target, ["x:" + string(target.x), "image_alpha:1"], [1000, 0], 0, 60, expoIn, function(target) {
      // 実行完了時にインスタンスを削除する
      instance_destroy(target);
	});
  });
}
